Skip to navigation

Expire a commitment-linked prepayment

View as Markdown

Expires a single commitment-linked prepayment and returns the updated prepayment state.

After the prepayment is expired, it does not participate in future drawdown.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

prepaymentIdstringRequired
The identifier of the prepayment to expire.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response

OK
processIdstringOptional
The ID of the process that handles the operation.
reasonslist of objectsOptional

The container of the error code and message. This field is available only if the success field is false.

requestIdstringOptionalformat: "uuid"=36 characters
Unique identifier of the request.
successbooleanOptional
Indicates whether the call succeeded.
idstringOptional
The ID of the prepayment.
prepaymentDefinitionIdstringOptional
The ID of the prepayment definition associated with the prepayment.
commitmentIdstringOptional
The ID of the commitment associated with the prepayment.
commitmentNumberstringOptional
The number of the commitment associated with the prepayment.
commitmentScheduleIdstringOptional
The ID of the commitment schedule associated with the prepayment.
commitmentPeriodIdstringOptional
The ID of the commitment period associated with the prepayment.
amountdoubleOptional
The original amount of the prepayment.
billedAmountdoubleOptional
The total billed amount of the prepayment.
spendAmountdoubleOptional
The total spend amount of the prepayment.
balancedoubleOptional
The remaining balance of the prepayment.
overageAmountdoubleOptional
The overage amount of the prepayment.
currencystringOptional
The currency of the prepayment amounts.

Errors

4XX
Client Request Error
500
Internal Server Error